# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from openupgradelib import openupgrade


def update_account_move_is_payment_online(cr):
    openupgrade.logged_query(
        cr, """
            UPDATE account_move am
            SET is_payment_online = ai.is_payment_online
            FROM account_invoice ai
            WHERE am.old_invoice_id = ai.id
            """
    )


@openupgrade.migrate(use_env=True)
def migrate(env, version):
    update_account_move_is_payment_online(env.cr)
